## freeswitch-4bd36916b38f02e702ef13405b7e0c7154dcacb4.zip

=== build/Makefile ===
all:

	@echo " +-------- FreeSWITCH Build Complete -----------+"  
	@echo " + FreeSWITCH has been successfully built.	+"  
	@echo " + Install by running:				+"
	@echo " +						+"
	@echo " +		$(MAKE) install			+"  
	@echo " +----------------------------------------------+"  

install:
	@echo " +-------- FreeSWITCH install Complete ---------+"  
	@echo " + FreeSWITCH has been successfully installed.	+"  
	@echo " +						+"
	@echo " +	Install sounds:				+"
	@echo " +	(uhd-sounds includes hd-sounds, sounds)	+"
	@echo " +	(hd-sounds includes sounds)		+"
	@echo " +	------------------------------------	+"
	@echo " +		$(MAKE) uhd-sounds-install 	+"  
	@echo " +		$(MAKE) uhd-moh-install		+"  
	@echo " +						+"
	@echo " +		$(MAKE) hd-sounds-install  	+"  
	@echo " +		$(MAKE) hd-moh-install		+"  
	@echo " +						+"
	@echo " +		$(MAKE) sounds-install		+"  
	@echo " +		$(MAKE) moh-install		+"  
	@echo " +						+"
	@echo " +	Upgrade to latest:			+"
	@echo " +	----------------------------------	+"
	@echo " +		$(MAKE) current			+"  
	@echo " +						+"
	@echo " +	Rebuild all:				+"
	@echo " +	----------------------------------	+"
	@echo " +		$(MAKE) sure			+"  
	@echo " +						+"
	@echo " +	Install/Re-install default config:	+"
	@echo " +	----------------------------------	+"
	@echo " +		$(MAKE) samples			+"  
	@echo " +						+"
	@echo " +						+"
	@echo " +	Additional resources:			+"
	@echo " +	----------------------------------	+"
	@echo " +	http://www.freeswitch.org		+"
	@echo " +	http://wiki.freeswitch.org		+"
	@echo " +	http://jira.freeswitch.org		+"
	@echo " +	http://lists.freeswitch.org		+"
	@echo " +						+"
	@echo " +	irc.freenode.net / #freeswitch		+"
	@echo " +						+"
	@echo " +----------------------------------------------+"  



.PHONY: check dvi html info install-data \
        install-dvi install-exec install-html install-info install-pdf install-ps installcheck installdirs pdf \
        ps uninstall mostlyclean clean distclean maintainer-clean
