=== src/mod/applications/mod_esf/Makefile ===
BASE=../../../..
include $(BASE)/build/modmake.rules
