=== src/mod/languages/mod_spidermonkey_odbc/Makefile ===
switch_srcdir=../../../..

include ../mod_spidermonkey/sm.mak
