=== debian/changelog ===
freeswitch (1.0~rc3-1) unstable; urgency=low
   * Enhance xml menu system
     fixes upstream from sofia-sip library
     Enhance mod_fifo
     added close method to ODBC spidermonkey class
     Fix multiple bugs in the cpp wrapper used in mod_java and mod_python
     Fix hung sip channel issue using respond app or on re-invite with bypass media after 1xx or 2xx responses

 -- Michael Jerris <mike@jerris.com>  Wed, 9 Apr 2008 12:58:22 -0400
    

freeswitch (1.0~rc2-1) unstable; urgency=low
   * Fixed speex protocol negotiation issues (8k vs 16k)
     Fixed mod_iax race conditions
     Fixed ptime negotiation issues when re-packetizing
     Added ip based acl lists
	
 -- Michael Jerris <mike@jerris.com>  Wed, 9 Apr 2008 12:58:22 -0400
    

freeswitch (1.0~rc1-1) unstable; urgency=low
  * loads of fixes
    new cdr-csv module
    new spidermonkey-curl module

 -- Michal Bielicki <michal.bielicki@voiceworks.pl>  Mon, 14 Jan 2008 23:37:04 +0100
    

freeswitch (1.0~beta3-1) unstable; urgency=low

  * Additional scripts for changing the user to freeswitch
    Added Startup Scripts
    Monit integration
    Settings file for integration into init 
    init.d file
    added user freeswitch to own and run all off freeswitch
    cleaned up config file control
    new upstream release
    split off codec pakcages
    split off spidermonkey packages

 -- Michal Bielicki <michal.bielicki@voiceworks.pl>  Tue, 27 Nov 2007 13:20:21 +0100

freeswitch (1.0~beta2-1) unstable; urgency=low

  * New upstream release

 -- Paul van Genderen <paulvg@member.fsf.org>  Wed, 17 Oct 2007 19:32:09 +0200

freeswitch (1.0~beta1-1) unstable; urgency=low

  * New packages.

 -- Robert McQueen <robot101@debian.org>  Sun, 12 Nov 2006 17:32:23 -0500
